//
// File:	   ADVSourceImageAndTextCell.h
//
// Abstract:   Subclass of NSTextFieldCell which can display text and an image simultaneously.
//
//

#import <Cocoa/Cocoa.h>

@interface ADVSourceImageAndTextCell : NSTextFieldCell
{
	BOOL canCollapse;
	BOOL isGroup;

	@private
	NSImage *image;
}

@property BOOL canCollapse;
@property BOOL isGroup;

- (void)setImage:(NSImage *)anImage;
- (NSImage*)image;

- (void)drawWithFrame:(NSRect)cellFrame inView:(NSView*)controlView;
- (NSSize)cellSize;

@end
