#import <Foundation/Foundation.h>
#import "S3DBTable.h"

@interface S3DBDatabase : NSObject 
{
    void *_database;
    NSString *_fileName;
}

+ (id)databaseWithFile: (NSString*)inPath;

/* Creates the file if the file does not exist. */
- (id)initWithFile: (NSString*)fileName;

- (NSString *)description;

- (NSString *)fileName;
- (NSString *)name;

/* Closes the database immediatly rather than when deallocated. */
- (void)close;

/* Returns nil on fail. */
- (S3DBTable*)performQuery: (NSString*)query;

- (int)changeCount;

@end

@protocol AppDelegateS3DBDatabaseProtocol
- (void)bypassPromptAtQuit;
@end